<#-- @overridden projects/web-framework-commons/config/alfresco/site-webscripts/org/alfresco/components/form/controls/authority.ftl -->
<#-- This picker uses the 'startLocation' option from the form-config to retrieve a node ref used as a site context for user search. -->
<#-- The picker will also automatically do a search for '*' to show all users in the site-->

<#include "/org/alfresco/components/form/controls/common/picker.inc.ftl" />

<#assign controlId = fieldHtmlId + "-cntrl">

<script type="text/javascript">//<![CDATA[
(function()
{
  
  var initSiteAuthorityPicker = function (layer, args) {

    <@renderPickerJS field "picker" />
    picker.setOptions(
    {
        itemType: "${field.endpointType}",
        multipleSelectMode: ${field.endpointMany?string},
        itemFamily: "authority",
        finderAPI: Alfresco.constants.PROXY_URI + "api/lyse/forms/site-users/authority"
    });
  
    var startLocation = picker.options.startLocation;
    if(startLocation && startLocation !== null)
    {
       var siteNodeRef = document.getElementsByName(startLocation)[0].value;
       if(siteNodeRef !== null && siteNodeRef !== undefined) {
         picker.setOptions(
         {
            startLocation: siteNodeRef
         });
       }
    }
    
    window.lyseAuthorityPicker = picker; 
    
  };
  
  var defaultSearch = function (layer, args) {
    Dom.get(window.lyseAuthorityPicker.pickerId + "-searchText").value = "*";
  };
   
  YAHOO.Bubbling.on("afterFormRuntimeInit", initSiteAuthorityPicker, this);

  YAHOO.Bubbling.on("objectFinderReady", defaultSearch, this);
  
  
   
})();
//]]></script>

<div class="form-field">
   <#if form.mode == "view">
      <div id="${controlId}" class="viewmode-field">
         <#if field.endpointMandatory && field.value == "">
            <span class="incomplete-warning"><img src="${url.context}/res/components/form/images/warning-16.png" title="${msg("form.field.incomplete")}" /><span>
         </#if>
         <span class="viewmode-label">${field.label?html}:</span>
         <span id="${controlId}-currentValueDisplay" class="viewmode-value current-values"></span>
      </div>
   <#else>
      <label for="${controlId}">${field.label?html}:<#if field.endpointMandatory><span class="mandatory-indicator">${msg("form.required.fields.marker")}</span></#if></label>
      
      <div id="${controlId}" class="object-finder">
         
         <div id="${controlId}-currentValueDisplay" class="current-values"></div>
         
         <#if field.disabled == false>
            <input type="hidden" id="${fieldHtmlId}" name="-" value="${field.value?html}" />
            <input type="hidden" id="${controlId}-added" name="${field.name}_added" />
            <input type="hidden" id="${controlId}-removed" name="${field.name}_removed" />
            <div id="${controlId}-itemGroupActions" class="show-picker"></div>

            <@renderPickerHTML controlId />
         </#if>
      </div>
   </#if>
</div>
