  // Remove My Files
  if (!user.isAdmin) {
	  widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_MY_FILES"); 
  }
  // Remove Tasks
  if (!user.isAdmin) {
	  widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_TASKS");
  }
  
  // Remove shared files
  if (!user.isAdmin) {
	  widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_SHARED_FILES");
  }
  
  // Remove debug
  if (!user.isAdmin) {
	  widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_SHARED_FILES");
  }
  
  // Rename Home to My Home
  var homeMenu = widgetUtils.findObject(model.jsonModel, "id", "HEADER_HOME");
  if (homeMenu != null)
  {
	  homeMenu.config.label = "header.menu.my-home.label";
  }
  
  // Remove the configuration "wheel" (site configuration options)
  if (!user.isAdmin){
	  widgetUtils.deleteObjectFromArray(model.jsonModel, "id", "HEADER_SITE_CONFIGURATION_DROPDOWN");
  }
  
/**
 * Add a create project widget in the sites menu
 */
var sitesMenu = widgetUtils.findObject(model.jsonModel, "id", "HEADER_SITES_MENU");

if (sitesMenu != null)
{
	if(null == model.siteData) {
		// Change the widget to our custom menu...
		  sitesMenu.name = "lyse/LyseSitesMenu";	
	}
	// Change the widget to our custom menu...
	//  sitesMenu.name = "lyse/LyseProjectSitesMenu";
	else if(model.siteData.profile.sitePreset == "lyse-project") {
		// Change the widget to our custom menu...
		  sitesMenu.name = "lyse/LyseProjectSitesMenu";	
	} else if (model.siteData.profile.sitePreset == "contractor-project") {
		// Change the widget to our custom menu...
		  sitesMenu.name = "lyse/LyseContractorSitesMenu";
	}
  
}
/**
 * Bootstrap the project service
 */
model.jsonModel.services.push("lyse/ProjectService");

/**
 Hide the create site button for non admins
 https://forums.alfresco.com/forum/end-user-discussions/alfresco-share/make-options-header-admin-only-alfresco-42d-09022013-1746
 https://issues.alfresco.com/jira/browse/ALF-19911
**/
//var sitesMenu = widgetUtils.findObject(model.jsonModel.widgets, "id", "HEADER_SITES_MENU");
if (sitesMenu != null)
{
   sitesMenu.config.showCreateSite = user.isAdmin; //Disable only if admin
   //sitesMenu.config.showCreateSite = false; //Always disable
}

/**
 * ENABLE CUSTOMIZE DASHBOARD for Lyse for now Add Customize Dashboard - This is
 * removed for project sites since its conditionally added for regular sites on
 * page.titleId == "page.siteDashboard.title"
 */
var siteConfigMenu = widgetUtils.findObject(model.jsonModel, "id", "HEADER_SITE_CONFIGURATION_DROPDOWN");
var customizeSiteWidget = widgetUtils.findObject(model.jsonModel, "id", "HEADER_CUSTOMIZE_SITE_DASHBOARD");

if (siteConfigMenu != null && customizeSiteWidget == null) {
  // Add the customize site dashboard widget first in the list
  var newSiteWidgets = [ {
    id : "HEADER_CUSTOMIZE_SITE_DASHBOARD",
    name : "alfresco/menus/AlfMenuItem",
    config : {
      id : "HEADER_CUSTOMIZE_SITE_DASHBOARD",
      label : "customize_dashboard.label",
      iconClass : "alf-cog-icon",
      targetUrl : "site/" + page.url.templateArgs.site + "/customise-site-dashboard"
    }
  } ];

  siteConfigMenu.config.widgets = newSiteWidgets.concat(siteConfigMenu.config.widgets);
}

if(siteConfigMenu != null && (model.siteData.profile.sitePreset == "lyse-project" || model.siteData.profile.sitePreset == "contractor-project"))
{
	var publishTopic = (model.siteData.profile.sitePreset == "lyse-project") ? "LYSE_EDIT_PROJECT" : "LYSE_EDIT_CONTRACTOR";
	var label = (model.siteData.profile.sitePreset == "lyse-project") ? "edit_project_details.label" : "edit_contractor_details.label";

  // Replace edit site with lyse edit project
  var editProjectWidget = {
    id : "HEADER_EDIT_SITE_DETAILS",
    name : "alfresco/menus/AlfMenuItem",
    config : {
      id : "HEADER_EDIT_SITE_DETAILS",
      label : label,
      iconClass : "alf-edit-icon",
      publishTopic : publishTopic,
      publishPayload : {
        site : page.url.templateArgs.site,
        siteTitle : model.siteData.profile.title,
        user : user.name,
        userFullName : user.fullName
      }
    }
  };
  // Find edit site entry and replace it. (widgetUtils.findObject doesn't seem
  // to work as object to replace.)
  for (var i = 0; i < siteConfigMenu.config.widgets.length; i++) {
    if (siteConfigMenu.config.widgets[i].id == "HEADER_EDIT_SITE_DETAILS") {
      siteConfigMenu.config.widgets[i] = editProjectWidget;
    }
  }

  // Get project id
  var projectInformation = null;
  var json = remote.call("/lyse/project/information?shortname=" + page.url.templateArgs.site);
  if (json.status == 200) {
    // Create javascript object from the repo response
    var obj = null;
    try {
      obj = JSON.parse(json); // eval('(' + json + ')');
    } catch (err) {
      // Could not parse!
    }
    projectInformation = obj;
  }

  var verticalLayoutSiteWidget = widgetUtils.findObject(model.jsonModel, "id", "SHARE_VERTICAL_LAYOUT");
  var headerTitleBar = widgetUtils.findObject(verticalLayoutSiteWidget.config.widgets, "id", "HEADER_TITLE_BAR");
  var headerTitle = widgetUtils.findObject(headerTitleBar.config.widgets, "id", "HEADER_TITLE");
  if (typeof projectInformation != undefined && projectInformation != null && projectInformation.projectNumber.length) {
    headerTitle.config.label = headerTitle.config.label + " - " + projectInformation.projectNumber;
  }
 
  
}
